ChiSquareTest Class Reference

Chi-Square test for variance. More...

`#include <ChiSquareTest.h>`

Inheritance diagram for ChiSquareTest:

## Public Member Functions

double | chiSquare ()
| ChiSquareTest (ApplicationWindow *parent, double testValue, double level, const QString &sample=QString())
double | lcl (double confidenceLevel)
| Lower Confidence Limit. More...
virtual QString | logInfo ()
double | pValue ()
double | statistic ()
double | ucl (double confidenceLevel)
| Upper Confidence Limit. More...
Public Member Functions inherited from StatisticTest
virtual void | outputResultsTo (Table *)
virtual Table * | resultTable (const QString &name=QString())
| Returns a pointer to the table created to display the results. More...
void | setSignificanceLevel (double s)
void | setTail (const Tail &tail)
void | setTestValue (double val)
void | showDescriptiveStatistics (bool show=true)
| StatisticTest (ApplicationWindow *parent, double testValue=0.0, double level=0.05, const QString &sample=QString())
Public Member Functions inherited from Statistics
double * | data ()
| Returns the y values of the input data set. More...
unsigned int | dataSize ()
| Returns the size of the input data set. More...
virtual int | dof ()
| Returns the degrees of freedom. More...
QString | logInfo (bool header=true)
double | mean ()
virtual bool | run ()
| Actually does the job. Should be reimplemented in derived classes. More...
QString | sampleName ()
bool | setData (const QString &)
void | showResultsLog (bool show=true)
double | standardDeviation ()
double | standardError ()
| Statistics (ApplicationWindow *parent, const QString &name=QString())
double | variance ()
| ~Statistics ()

## Additional Inherited Members

Public Types inherited from StatisticTest
enum | Tail { Left = 0, Right = 1, Both = 2 }
enum | TestType { StudentTest = 0, NormalityTest = 1, ChiSquareTest = 2, AnovaTest = 3 }
Protected Member Functions inherited from Statistics
virtual void | freeMemory ()
| Frees the memory allocated for the X and Y data sets. More...
void | memoryErrorMessage ()
Protected Attributes inherited from StatisticTest
bool | d_descriptive_statistics
double | d_significance_level
int | d_tail
double | d_test_val
Protected Attributes inherited from Statistics
QString | d_col_name
| The name of the source data set. More...
double * | d_data
| y data set to be analysed More...
double | d_mean
unsigned int | d_n
| The size of the data set to be analyzed. More...
bool | d_result_log
| Flag specifying if the results should be displayed in the results log. More...
double | d_sd
double | d_se
Table * | d_table
| A table source of data. More...
double | d_variance

## Detailed Description

Chi-Square test for variance.

## Constructor & Destructor Documentation

ChiSquareTest::ChiSquareTest | ( | ApplicationWindow * | parent,
|  | double | testValue,
|  | double | level,
|  | const QString & | sample = `QString()`
| ) |  |

## Member Function Documentation

double ChiSquareTest::chiSquare | ( |  | ) |

References Statistics::d_n, StatisticTest::d_test_val, and Statistics::d_variance.

Referenced by logInfo(), pValue(), and statistic().

double ChiSquareTest::lcl | ( | double | confidenceLevel | ) |

virtual

Lower Confidence Limit.

Reimplemented from StatisticTest.

References Statistics::d_n, Statistics::d_variance, and Statistics::dof().

QString ChiSquareTest::logInfo | ( |  | ) |

virtual

Reimplemented from StatisticTest.

References StatisticTest::Both, chiSquare(), ApplicationWindow::d_decimal_digits, StatisticTest::d_descriptive_statistics, StatisticTest::d_significance_level, Statistics::d_table, StatisticTest::d_tail, StatisticTest::d_test_val, Statistics::dof(), StatisticTest::Left, Statistics::logInfo(), pValue(), and StatisticTest::Right.

double ChiSquareTest::pValue | ( |  | ) |

virtual

Reimplemented from StatisticTest.

References StatisticTest::Both, chiSquare(), Statistics::d_n, StatisticTest::d_tail, Statistics::dof(), StatisticTest::Left, and StatisticTest::Right.

Referenced by logInfo().

double ChiSquareTest::statistic | ( |  | ) |

inline virtual

Reimplemented from StatisticTest.

References chiSquare().

double ChiSquareTest::ucl | ( | double | confidenceLevel | ) |

virtual

Upper Confidence Limit.

Reimplemented from StatisticTest.

References Statistics::d_n, Statistics::d_variance, and Statistics::dof().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/ChiSquareTest.h
- qtiplot/src/analysis/ChiSquareTest.cpp